%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           TurboGears
Version:        1.0.8
Release:        1.art
Summary:        Back-to-front web development in Python

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org
Source0:        http://pypi.python.org/packages/source/T/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-cherrypyreq.patch
Patch1:         %{name}-%{version}-setup.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel python-setuptools-devel

BuildRequires: python-nose python-configobj python-ruledispatch
BuildRequires: python-decoratortools python-turbojson python-simplejson python-kid
BuildRequires: python-formencode python-turbokid python-turbocheetah
BuildRequires: python-paste-script python-sqlobject python-sqlalchemy

%if 0%{?fedora} >= 9
Requires:       python-cherrypy2
BuildRequires:	python-cherrypy2
%else
Requires:       python-cherrypy
BuildRequires:	python-cherrypy
%endif

Requires:       python-sqlalchemy
Requires:       python-kid >= 0.8
Requires:       python-sqlobject >= 0.8
Requires:       python-formencode >= 0.7.1
Requires:       python-json >= 3.3
Requires:       python-setuptools >= 0.6c2
Requires:       python-turbocheetah >= 1.0
Requires:       python-turbojson >= 1.1.2
Requires:       python-turbokid >= 1.0.4
Requires:       python-tgfastdata
Requires:       python-simplejson >= 1.3
Requires:       python-paste-script >= 1.6.2
Requires:       python-configobj >= 4.3.2
Requires:       python-ruledispatch
Requires:       python-nose >= 0.9.1
Requires:       python-psycopg2
Requires:       python-decoratortools >= 1.4
Requires:       python-elixir >= 0.4.0
Requires:       python-genshi >= 0.4.4

%description
TurboGears brings together four major pieces to create an
easy to install, easy to use web megaframework. It covers
everything from front end (MochiKit JavaScript for the browser,
Kid for templates in Python) to the controllers (CherryPy) to
the back end (SQLObject).

The TurboGears project is focused on providing documentation
and integration with these tools without losing touch
with the communities that already exist around those tools.

TurboGears is easy to use for a wide range of web applications.


%prep
%setup -q
%patch0 -b .cherrypyreq
%patch1 -b .setup


%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

#%check
#PYTHONPATH=$(pwd) nosetests -q

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CHANGELOG.txt LICENSE.txt
%attr(0755,root,root) %{_bindir}/tg-admin
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info/
%{python_sitelib}/turbogears/

%changelog
* Thu Dec 18 2008 Luke Macken <lmacken@redhat.com> - 1.0.8-1
- Latest upstream release.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.7-3
- Rebuild for Python 2.6

* Wed Sep 17 2008 Luke Macken <lmacken@redhat.com> 1.0.7-2
- Add a patch to allow newer versions of TurboJson

* Tue Sep 16 2008 Luke Macken <lmacken@redhat.com> 1.0.7-1
- Update to the latest upstream release
- Utilize the test suite
- Remove the setup.py patch

* Tue May 27 2008 Luke Macken <lmacken@redhat.com> 1.0.4.4-3
- Patch our setup.py to remove the hard version requirements for SQLObject.
  This has changed upstream as well.

* Tue Mar 11 2008 Luke Macken <lmacken@redhat.com> 1.0.4.4-2
- Add TurboGears-1.0.4.4-cherrypyreq.patch to explicitly require the
  appropriate version of CherryPy when necessary.

* Fri Mar  7 2008 Luke Macken <lmacken@redhat.com> 1.0.4.4-1
- Update to 1.0.4.4
- Remove the setuptools and sqlalchemy-backport patches

* Fri Feb 29 2008 Luke Macken <lmacken@redhat.com> 1.0.4.3-3
- Require python-paste-script >= 1.6.2 (Bug #435525)

* Thu Feb 21 2008 Toshio Kuratomi <tkuratom@redhat.com> 1.0.4.3-2
- Fixes for SQLAlchemy-0.4 and exceptions.  Upstream Bug #1721.

* Fri Feb  1 2008 Luke Macken <lmacken@redhat.com> 1.0.4.3-1
- 1.0.4.3

* Sat Jan 26 2008 Luke Macken <lmacken@redhat.com> 1.0.4.2-3
- Require Genshi and Elixir

* Wed Jan 23 2008 Luke Macken <lmacken@redhat.com> 1.0.4.2-2
- Update setuptools patch to work with the CherryPy egg_info

* Tue Jan 22 2008 Luke Macken <lmacken@redhat.com> 1.0.4.2-1
- 1.0.4.2

* Sun Jan 20 2008 Luke Macken <lmacken@redhat.com> 1.0.4-1
- 1.0.4
- Remove paginate patch
- Update setuptools patch

* Sat Dec 15 2007 Luke Macken <lmacken@redhat.com> 1.0.3.2-7
- Add TurboGears-1.0.3.2-paginate.patch backported from upstream
  http://trac.turbogears.org/ticket/1629

* Sat Oct 27 2007 Luke Macken <lmacken@redhat.com> 1.0.3.2-6
- Remove python-TestGears requirement, as this functionality
  has been replaced by nose.

* Mon Oct 8 2007 Toshio Kuratomi <a.badger@gmail.com> 1.0.3.2-5
- Update patch so that quickstart template pulls in the proper sqlalchemy
  when tg-admin quickstart -s is run.

* Fri Oct 5 2007 Toshio Kuratomi <a.badger@gmail.com> 1.0.3.2-4
- Require sqlalchemy 0.3.

* Thu Sep 27 2007 Toshio Kuratomi <a.badger@gmail.com> 1.0.3.2-3
- Update setuptools patch to modify quickstart template for compat eggs as well.

* Mon Sep 24 2007 Luke Macken <lmacken@redhat.com> 1.0.3.2-2
- Update setuptools patch to "fix" CherryPy dependency error

* Mon Sep 13 2007 Luke Macken <lmacken@redhat.com> 1.0.3.2-1
- 1.0.3.2
- Remove etree patch

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> 1.0.2.2-3
- Update for python-setuptools changes in rawhide

* Thu May 11 2007 Luke Macken <lmacken@redhat.com> 1.0.2.2-2
- Update etree patch to work with Python2.4
- Update setuptools patch

* Thu May 3 2007 Luke Macken <lmacken@redhat.com> 1.0.2.2-1
- 1.0.2.2
- TurboGears-1.0.2.2-etree.patch to use xml.etree instead of elementtree module

* Fri Jan 26 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0.1-2
- Don't flub the patch this time.

* Tue Jan 23 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0.1-1
- Upgrade to upstream 1.0.1.
- Update the setuptools patch.
- Conditionalize python-elementtree as python-2.5 provides it.
- Include rather than ghosting *.pyo.
- Require python-psycopg2 instead of psycopg, TurboGears + psycopg2 supports
  unicode whereas psycopg does not.
- Make all files except tg-admin non-executable.

* Fri Jan 19 2007 Luke Macken <lmacken@redhat.com> 1.0b2-6
- Add python-elementtree to BuildRequires

* Tue Dec 12 2006 Luke Macken <lmacken@redhat.com> 1.0b2-5
- Rebuild for new elementtree

* Sun Dec 10 2006 Luke Macken <lmacken@redhat.com> 1.0b2-4
- Add python-devel to BuildRequires

* Sun Dec 10 2006 Luke Macken <lmacken@redhat.com> 1.0b2-3
- Rebuild for python 2.5

* Sat Dec  2 2006 Luke Macken <lmacken@redhat.com> 1.0b2-2
- Update the setuptools patch

* Sat Dec  2 2006 Luke Macken <lmacken@redhat.com> 1.0b2-1
- 1.0b2

* Fri Nov 21 2006 Luke Macken <lmacken@redhat.com> 1.0b1-3
- Add python-TestGears back to Requires

* Fri Nov 21 2006 Luke Macken <lmacken@redhat.com> 1.0b1-2
- Add python-psycopg to Requires

* Mon Sep 11 2006 Luke Macken <lmacken@redhat.com> 1.0b1-1
- 1.0b1

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.8.9-4
- Rebuild for FC6

* Sun Jul  9 2006 Luke Macken <lmacken@redhat.com> 0.8.9-3
- Require python-TestGears (bug #195370)

* Thu Jul 6 2006 Luke Macken <lmacken@redhat.com> 0.8.9-2
- Add TurboGears-0.8.9-setuptools.patch

* Thu Jul 6 2006 Luke Macken <lmacken@redhat.com> 0.8.9-1
- Bump to 0.8.9
- Remove TurboGears-0.8a5-optim.patch and TurboGears-0.8a5-setuptools.patch

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8a5-1
- Initial RPM release
